restinio::null_logger_t Class Reference

No operation logger. More...

`#include <null_logger.hpp>`

## Public Member Functions

template<typename Message_Builder >
constexpr void | trace (Message_Builder &&) const noexcept
template<typename Message_Builder >
constexpr void | info (Message_Builder &&) const noexcept
template<typename Message_Builder >
constexpr void | warn (Message_Builder &&) const noexcept
template<typename Message_Builder >
constexpr void | error (Message_Builder &&) const noexcept

## Detailed Description

No operation logger.

Helps compiler to strip all operations associated with logging.

Examples
  sample/file_upload/main.cpp, and sample/sendfiles/main.cpp.

Definition at line 22 of file null_logger.hpp.

## Member Function Documentation

## error()

template<typename Message_Builder >

constexpr void restinio::null_logger_t::error | ( | Message_Builder && |  | ) | const

inlineconstexprnoexcept

Definition at line 42 of file null_logger.hpp.

## info()

template<typename Message_Builder >

constexpr void restinio::null_logger_t::info | ( | Message_Builder && |  | ) | const

inlineconstexprnoexcept

Definition at line 32 of file null_logger.hpp.

## trace()

template<typename Message_Builder >

constexpr void restinio::null_logger_t::trace | ( | Message_Builder && |  | ) | const

inlineconstexprnoexcept

Definition at line 27 of file null_logger.hpp.

## warn()

template<typename Message_Builder >

constexpr void restinio::null_logger_t::warn | ( | Message_Builder && |  | ) | const

inlineconstexprnoexcept

Definition at line 37 of file null_logger.hpp.

The documentation for this class was generated from the following file:

- restinio/null_logger.hpp